Bug 199602 - Startconsole does not start due to out-of-memory error
Startconsole does not start due to out-of-memory error
Status: CLOSED WONTFIX
Product: 389
Classification: Community
Component: Directory Console (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Orla Hegarty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-20 14:17 EDT by Will Nowak
Modified: 2008-08-11 19:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 17:11:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for /opt/fedora-ds/startconsole (771 bytes, patch)
2006-07-20 14:17 EDT, Will Nowak
no flags Details | Diff

  None (edit)
Description Will Nowak 2006-07-20 14:17:29 EDT
Description of problem:

Start console crashes with "GC: Warning: Out of Memory!"

Version-Release number of selected component (if applicable):
Fedora-Directory 1.0.2 B2006.111.2147

How reproducible:
Every time after new install.

Steps to Reproduce:
1. Install RPM
2. Run Setup
3. Start Console
  
Actual results:

[root@ldap46-4 fedora-ds]# ./startconsole -u admin -a http://ldap46-4:6880/
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
Exception in thread "main" java.lang.OutOfMemoryError
   <<No stacktrace available>>


Expected results:

The console is expected to open...

Additional info:
Machine for this test is a dell 1850 with 4GB memory and 174GB disk, with fresh
FC5 install.

To fix, change maximum memory size in startconsole to be something greater than 64
Comment 1 Will Nowak 2006-07-20 14:17:29 EDT
Created attachment 132757 [details]
Patch for /opt/fedora-ds/startconsole
Comment 2 Will Nowak 2006-07-20 14:45:59 EDT
This was resolved by also installing Sun Java instead of the gnu java that comes
with FC5. I suppose this should be added as a dependency of fedora-ds, as the
console does not work properly with gnu java.
Comment 3 Rich Megginson 2006-07-20 14:50:43 EDT
It also works with the IBM java, and may work with the BEA java.  We didn't want
to put a dependency to a non-open source component in our product, hence the
confusion.  See
http://directory.fedora.redhat.com/wiki/Install_Guide#Java_is_required_for_the_console
for more information.
Comment 4 Chandrasekar Kannan 2008-08-11 19:47:59 EDT
Bug already CLOSED. setting screened+ flag

Note You need to log in before you can comment on or make changes to this bug.